# Class JMRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.management.JMRuntimeException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MonitorSettingException, RuntimeErrorException, RuntimeMBeanException, RuntimeOperationsException`

public class JMRuntimeException extends RuntimeException
Runtime exceptions emitted by JMX implementations.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JMRuntimeException()`
  Default constructor.
  `JMRuntimeException(String message)`
  Constructor that allows a specific error message to be specified.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JMRuntimeException

    public JMRuntimeException()
    Default constructor.

  - ### JMRuntimeException

    public JMRuntimeException(String message)
    Constructor that allows a specific error message to be specified.
    Parameters:
      `message` - the detail message.